#include<iostream>
using namespace std;
int main()
{
    int n,k,brojp=0,p,probno=0,j,i,k1,l=1;;
    cin>>n>>k;
    k1=n/k;
    p=2*n+1;
    int x[n],y[p],a[k1];
    for(i=1;i<=n;i++){

        cin>>x[i];
       
    }
    for(j=-n;j<=n;j++){
        y[j]=j; 
    }
   for(j=-n;j<=n;j++){
       
   for(i=1;i<=n;i++){
       if(y[j]==x[i]){
         probno++;  
       }
       if(probno==k){
           a[l]=y[j];
           l++;
           brojp++;
       }
       probno=0;
   }
   }
   cout<<brojp;
   for(l=1;l<=k1;l++){

        cout<<a[l];
       
    }
   
    return 0;
}